2010-04-21  Marcus Brinkmann  <marcus@g10code.de>

	Release 1.4.0.

	* configure.ac (NEED_LIBASSUAN_VERSION): Bump to 2.0.0.
	(LIBSCUTE_LT_REVISION): Bump to 2.

2009-12-08  Marcus Brinkmann  <marcus@g10code.de>

	* src/agent.c (agent_connect): Convert posix fd to assuan fd.
	* src/cert-gpgsm.c (export_cert_compat): Likewise.

	* src/Makefile.am (libgpg-error.a, libassuan.a): Force symlink.

2009-11-06  Marcus Brinkmann  <marcus@g10code.de>

	* src/cert-gpgsm.c (export_cert_compat, export_cert)
	(scute_gpgsm_search_certs_by_grip)
	(scute_gpgsm_search_certs_by_fpr): Call assuan_pipe_connect
	instead of assuan_pipe_connect_ext.
	* src/agent.c (agent_connect): Update use of assuan_socket_connect
	and assuan_pipe_connect.

2009-10-16  Marcus Brinkmann  <marcus@g10code.com>

	* src/p11-initialize.c (CK_DEFINE_FUNCTION): Fix code on
	non-Windows.

2009-10-08  Marcus Brinkmann  <marcus@g10code.com>

	* src/p11-initialize.c (C_Initialize): Call WSAStartup.
	* src/p11-finalize.c (CK_DEFINE_FUNCTION): Call WSACleanup.

2009-10-06  Marcus Brinkmann  <marcus@g10code.com>

	* src/pkcs11.h: Add support for GOST.  By Andreas Jellinghaus.

2009-09-23  Marcus Brinkmann  <marcus@g10code.de>

	* configure.ac (NEED_LIBASSUAN_VERSION): Update to 1.1.0.
	(_ASSUAN_ONLY_GPG_ERROR): Remove.
	* src/p11-initialize.c: Update to new Assuan interface.
	* src/debug.c (_scute_debug_init): Remove call to
	assuan_set_assuan_log_stream.
	* src/agent.c (agent_connect): Allocate assuan context before
	connecting to server.  Release it on error.
	* src/cert-gpgsm.c (export_cert_compat, export_cert)
	(scute_gpgsm_search_certs_by_grip)
	(scute_gpgsm_search_certs_by_fpr): Likewise.

2009-07-22  Stef Walter  <stef@memberwebs.com>

	* src/pkcs11.h: Make all constants UL that should be.

2009-06-19  Werner Koch  <wk@g10code.com>

	Release 1.3.0.

	* src/settings.h (SLOT_FIRMWARE_VERSION_MAJOR)
	(SLOT_FIRMWARE_VERSION_MINOR, SLOT_HARDWARE_VERSION_MAJOR)
	(SLOT_HARDWARE_VERSION_MINOR): Remove.
	* src/p11-getslotinfo.c (CK_DEFINE_FUNCTION): Set firmware version
	to Scute version and agent version to hardware version.
	* src/agent.c (read_version_cb): New.
	(agent_configure): Call that.
	(agent_version_major, agent_version_minor): New.
	(scute_agent_get_agent_version): New.

	* src/agent.c (SIG_LEN_2): Fix stupid c+p bug.

2009-06-19  Marcus Brinkmann  <marcus@g10code.de>

	* src/Makefile.am (scute_deps): Add libgpg-error.a, libassuan.a.
	(scute_libadd): New variable.
	(libgpg-error.a, libassuan.a, clean-local): New targets.
	(libscute_la_LIBADD): Add $(scute_libadd).

2009-06-19  Werner Koch  <wk@g10code.com>

	* src/agent.c (geteventcounter_status_cb): New.
	(scute_agent_check_status): Check the eventcounter first.

2009-06-19  Marcus Brinkmann  <marcus@g10code.de>

	* tests/t-getattribute.c (dump_object): Allow empty CKA_START_DATE
	and CKA_END_DATE.

	* src/cert-object.c (scute_attr_prv): Always set CKA_START_DATE
	and CKA_END_DATE.

2009-06-19  Werner Koch  <wk@g10code.com>

	* src/agent.c (MAX_SIGNATURE_LEN): Increase size to cope with 2048
	bit RSA.
	(scute_agent_sign): Add a hack for 2048 bit RSA.
	* tests/t-auth.c (sign_with_object): Increase SIZE to 256.

2009-06-19  Marcus Brinkmann  <marcus@g10code.de>

	* libtool.m4: Removed.
	* m4/libtool.m4, m4/ltoptions.m4, m4/ltsugar.m4, m4/ltversion.m4,
	m4/lt~obsolete.m4: New files from libtool 2.2.6.
	* configure.ac: Update to libtool 2.2.6.
	(lt_cv_deplibs_check_method): Slightly evil hack to get libtool to
	our thing.
	(AC_DISABLE_STATIC, AC_LIBTOOL_WIN32_DLL, AC_LIBTOOL_RC)
	(AC_PROG_LIBTOOL): Obsolete, replaced by ...
	(LT_PREREQ, LT_INIT, LT_LANG): ... these new macro invocations.
	* src/Makefile.am: Remove a bunch of rules for shared library.
	(RCCOMPILE): New.
	(LTRCCOMPILE): Use it here.
	(.rc.lo): Add quoting.

2009-06-19  Werner Koch  <wk@g10code.com>

	* src/estream-printf.c, src/estream-printf.h: New.
	* src/Makefile.am (sources): Add them.
	* Makefile.am (SUBDIRS): Add m4/.
	* m4/Makefile.am: New.
	* m4/estream.m4: New.
	* configure.ac (AC_REPLACE_FUNCS): Remove.
	(estream_PRINTF_INIT): Add.
	(AH_BOTTOM):  Prefix estream fucntions.
	(AC_FUNC_REALLOC) Remove because it uses AC_LIBOBJ which as
	problems with the current libtool.  The GNU guarantees for realloc
	don't seem to be needed.

	* src/realloc.c:  Remove
	* src/vasprintf.c, src/stpcpy.c, src/stpcpy.h: Remove.
	* src/support.h: Do not include stpcpy.h but define it inline.
	Include estream-printf.h.
	(vasprintf, asprintf, snprintf): Redefine to estream functions
	
	* src/agent.c (scute_agent_sign): s/sprintf/vsnprintf/.

2009-06-18  Werner Koch  <wk@g10code.com>

	* src/slots.c (slot_token_manufacturer): Update list.

2009-04-23  Werner Koch  <wk@g10code.com>

	* src/error-mapping.c (scute_gpg_err_to_ck): Add mappings to
	CKR_PIN_INCORRECT and CKR_PIN_LOCKED.

2008-12-03  Marcus Brinkmann  <marcus@g10code.de>

	* configure.ac: Enable AC_CONFIGU_MACRO_DIR.
	* m4/ltsugar.m4, m4/libtool.m4, m4/ltversion.m4,
	m4/lt~obsolete.m4, m4/ltoptions.m4: New files.
	* config.guess, config.sub, ltmain.sh, configure.ac: Updated.

2008-10-29  Marcus Brinkmann  <marcus@g10code.de>

	* configure.ac (_ASSUAN_ONLY_GPG_ERRORS): Define it.
	* src/agent.c (default_inq_cb): Change return type to gpg_error_t
	to silence gcc -W warning.
	* src/cert-gpgsm.c (search_certs, export_cert_cb): Change type of
	argument to silence gcc -W warning.
	* src/p11-findobjects.c (CK_DEFINE_FUNCTION): Add explicit cast to
	silence gcc -W warning.
	* src/table.c (struct scute_table): Change signedness of
	FIRST_FREE and LAST_USED members to silence gcc -W warning.
	(scute_table_alloc): Change signedness of IDX for the same reason.
	* tests/t-getslotinfo.c, tests/t-getsessioninfo.c,
	tests/t-getmechanismlist.c, tests/t-auth.c,
	tests/t-getattribute.c, tests/t-opensession.c,
	tests/t-getslotlist.c, tests/t-getmechanisminfo.c,
	tests/t-support.h, tests/t-closeallsessions.c,
	tests/t-findobjects.c, tests/t-gettokeninfo.c: Change signedness
	of some variables to silence gcc -W warnings.

2008-10-21  Marcus Brinkmann  <marcus@g10code.com>

	* src/slots.c (slots_update_slot): Ignore card errors.

2008-10-01  Marcus Brinkmann  <marcus@g10code.com>

	* src/agent.c (agent_connect): Set assuan log stream.
	* src/p11-initialize.c: Include "debug.h".
	(C_Initialize): Call _scute_debug_init.
	* src/Makefile.am (sources): Add debug.c.
	* src/debug.c: New file.
	* src/debug.h: Rewritten.
	* src/agent.c, src/cert-gpgsm.c, src/cert-object.c,
          src/slots.c, src/error-mapping.c: More or improved or
          adjusted debug output.

2008-09-30  Marcus Brinkmann  <marcus@g10code.com>

	* src/cert-object.c [!CERT_PARSING]: Disable some certificate
	parsing code.  Unfortunately, we can't get rid of all of it for
	now.

2008-09-30  Marcus Brinkmann  <marcus@g10code.com>

	* src/get-path.c (find_program_in_inst_dir): New function.
	(get_gpgsm_path, get_gpg_agent_path): Use it to check in install dir.

2008-09-30  Werner Koch  <wk@g10code.de>

	* src/Makefile.am (scute_DEPENDENCIES): Use .libs/versioninfo.o

	* AUTHORS (License): New.

	* Makefile.am (AUTOMAKE_OPTIONS): Do not distribute a gzip tarball.
	(EXTRA_DIST): Distibute autogen.sh and README.SVN.

	* README.CVS: Replace by README.SVN.

	* configure.ac: Update bug address and some comments.
	* autogen.sh: Update.

2008-09-29  Marcus Brinkmann  <marcus@g10code.com>

	* src/gpgsm.c (struct search): New member WITH_CHAIN.
	(search_cb): Only load chain if WITH_CHAIN is true.
	(scute_gpgsm_get_cert): Call search_cb in the agent code path.

2008-09-29  Marcus Brinkmann  <marcus@g10code.com>

	* src/slots.c (MIN): Remove macro.
	(slot_token_maxpinlen, slot_token_pincount): Do not consider
	second pincount, which meaning depends on the card version.

2008-09-26  Marcus Brinkmann  <marcus@g10code.de>

	* src/agent.c: Include "cert.h".
	(GET_CERT_INIT_SIZE): New symbol.
	(struct get_cert_s): New struct.
	(get_cert_data_cb, scute_agent_get_cert): New functions.
	* src/gpgsm.c: Include "agent.h".
	(scute_gpgsm_get_cert): Take extra argument NO.  Use it to get the
	certificate directly from the card, if possible.
	* src/gpgsm.h (scute_gpgsm_get_cert): Add extra argument NO to
	prototype.
	* src/slots.c (slot_init): Pass extra argument to
	scute_gpgsm_get_cert invocation.
	* src/cert-object.c (scute_attr_prv, scute_attr_cert): Don't use
	the fpr, timestamp and expire field of a certificate for now.

2008-09-23  Marcus Brinkmann  <marcus@g10code.de>

	* src/agent.c (GET_CERT_INIT_SIZE): New symbol.
	(struct get_cert_s): New struct.
	(get_cert_data_cb, scute_agent_get_cert): New functions.

2008-09-03  Marcus Brinkmann  <marcus@g10code.com>

	* src/Makefile.am (.rc.o): New rule.

	* src/Makefile.am (EXTRA_DIST): Add stpcpy.h.

2008-09-02  Marcus Brinkmann  <marcus@g10code.com>

	* configure.ac: Post-release cleanup.
	* doc/website/download.xhtml: Update.

2008-09-02  Marcus Brinkmann  <marcus@g10code.com>

	* Released version 1.2.0.

	* doc/manual/Makefile.am (CLEANFILES): Add $(images_eps).
	(images_eps): New variable.
	(scute.dvi): Depend on $(images_eps) instead of $(images_pdf).
	
2008-08-23  Marcus Brinkmann  <marcus@g10code.com>

	* src/Makefile.am [HAVE_W32_SYSTEM]: Build autonomous DLL.

2008-08-23  Marcus Brinkmann  <marcus@g10code.com>

	* src/agent.c (gnupg_allow_set_foregound_window)
	[!HAVE_W32_SYSTEM]: Define it.

2008-08-23  Marcus Brinkmann  <marcus@g10code.com>

	* src/Makefile.am [HAVE_W32_SYSTEM]: Build autonomous DLL.
	* src/dllmain.c (DllMain): New file.
	* src/cert-gpgsm.c: Include "debug.h".  Use
	 assuan_pipe_connect_ext instead of assuan_pipe_connect everywhere.
	* src/agent.c (WINVER) [HAVE_W32_SYSTEM]: Define symbol.
	[HAVE_W32_SYSTEM]: Include <windows.h>.  Do this before including
	<assuan.h>.
	(gnupg_allow_set_foregound_window): New function.
	(agent_connect): Use Sleep() instead of _sleep().
	(default_inq_cb): New function, and use it in all transactions.
	(agent_configure): Don't bail out if ttytname is not defined.  Set
	allow-pinentry-notify.
	* tests/t-support.h [_WIN32]: Include <windows.h>.
	(init_cryptoki) [_WIN32]: Call WSAStartup.

2008-08-21  Marcus Brinkmann  <marcus@g10code.com>

	* src/scute.def: Start at @1 instead of @0.

2008-08-21  Marcus Brinkmann  <marcus@g10code.com>

	* src/agent.c (agent_configure): Fix cut and paste error.

2008-08-11  Marcus Brinkmann  <marcus@g10code.com>

	* src/agent.c (spawn_process_detachted) [! HAVE_W32_SYSTEM]: Remove.
	(agent_configure): Ignore error with old versions of gpg-agent.	

2008-08-08  Marcus Brinkmann  <marcus@g10code.de>

	* configure.ac: Update svn macros.
	(BUILD_REVISION, BUILD_FILEVERSION, BUILD_TIMESTAMP): New.
	(AC_CONFIG_OUTPUT): Add src/versioninfo.rc.
	(GPG_AGENT_DEFAULT, GPG_AGENT): New.
	(AC_REPLACE_FUNCS): Add vasprintf and stpcpy.
	(AC_CHECK_FUNCS): Add ttyname, localtime_r and timegm.
	* src/stpcpy.h, src/stpcpy.c, src/realloc.c: New file from gnulib.
	* src/vasprintf.c: New file from libiberty.
	* src/support.h [!HAVE_STPCPY]: Include "stpcpy.h".
	[!HAVE_TTYNAME]: Define simple replacement function.
	(get_gpgsm_path, get_gpg_agent_path)
	(default_homedir, make_filename): New prototypes.
	* src/Makefile.am: Add W32 support.
	(libscute_la_SOURCES): Add get-path.c.
	(EXTRA_DIST): Add versioninfo.rc.in.
	* src/versioninfo.rc.in: New file.
	* src/get-path.c: New file.
	* src/agent.c (PATHSEP_C): New macro.
	(build_w32_commandline_copy)
	(build_w32_commandline) [HAVE_W32_SYSTEM]: New functions.
	(spawn_process_deatched): New function.
	(agent_connect): Start gpg-agent if it is not running yet.
	(agent_configure): Also pass xauthority and pinentry-user-data.
	* src/cert-gpgsm.c (COMPAT_FALLBACK) [!HAVE_W32_SYSTEM]: New
	macro.
	(export_cert_compat) [!COMPAT_FALLBACK]: Remove.
	(export_cert) [!COMPAT_FALLBACK]: Don't call export_cert_compat.
	Don't create (unused) output pipe cruft.
	* src/cert-object.c (time_to_ck_date) [!HAVE_LOCALTIME_R]: Fall
	back to localtime.
	* tests/t-getslotinfo.c (main) [WIN32]: Call _sleep instead sleep.

	* src/cryptoki.h (CRYPTOKI_EXPORTS): Define symbol.
	* src/error-mapping.h: Do not include <error.h>.
	(scute_sys_to_ck): Change type of ERR to int.
	* src/error-mapping.c: Do not include <error.h>.
	(scute_sys_to_ck): Change type of ERR to int.
	* src/slots.c (slot_create_session): Change type of ERR to int.

2007-05-03  Marcus Brinkmann  <marcus@g10code.de>

	Released version 1.1.0.

	* doc/manual/Makefile.am (images_pdf, CLEANFILES): New variables.
	(scute.dvi, scute.pdf): New dependencies.
	(%.eps, %.pdf): New rules.
	* configure.ac: Check for convert and epstopdf.

	* doc/manual/scute.texi (Authentication With Service): Avoid
	@indicateurl in TeX output, as this seems to be broken (in
	texi2dvi 1.34).

	* doc/manual/Makefile.am (images, EXTRA_DIST): New variables.

2007-04-30  Marcus Brinkmann  <marcus@g10code.de>

	* src/agent.h (scute_agent_is_trusted): New prototype.  Include
	<stdbool.h>.
	* src/agent.c (scute_agent_is_trusted): New implementation.
	* src/cert.h (struct cert): New member IS_TRUSTED.
	* src/cert-gpgsm.c (export_cert): Set CERT->is_trusted.
	* src/cert-object.c (scute_attr_cert): Set CKA_TRUSTED to
	CERT->is_trusted.
	* tests/t-getattribute.c: Support new option '--printable'.

	* src/table.c (scute_table_dealloc): Return, but not a value.

2007-02-09  Marcus Brinkmann  <marcus@g10code.de>

	* src/pkcs11.h: Add definitions for SHA.

2006-12-17  Marcus Brinkmann  <marcus@g10code.de>

	* src/pkcs11.h: Minor cosmetic changes.  Require CRYPTOKI_GNU now
	to switch on the GNU API, and do not check what CRYPTOKI_COMPAT is
	defined to, just if it is defined at all.

	* src/pkcs11.h [__WIN32]: Changed to [_WIN32 ||
	CRYPTOKI_FORCE_WIN32] at the end.
	Submitted by Alon Bar-Lev.

2006-12-11  Marcus Brinkmann  <marcus@g10code.de>

	* src/pkcs11.h (CKO_VENDOR_DEFINED): Fixed syntax error.

2006-12-10  Marcus Brinkmann  <marcus@g10code.de>

	* configure.ac (NEED_GPG_ERROR_VERSION): Bump to 1.4.

	* src/pkcs11.h [CRYPTOKI_COMPAT]: Rewrote the compatibility layer.

2006-12-09  Marcus Brinkmann  <marcus@g10code.de>

	* src/pkcs11.h [__cplusplus]: Protect with extern "C".
	Do not use the C++ keyword "template" in parameter lists.
	Submitted by Alon Bar-Lev.

	* src/pkcs11.h [__WIN32]: Changed to [_WIN32 ||
	CRYPTOKI_FORCE_WIN32].
	(ck_rv_t): Changed to unsigned long.
	(CRYPTOKI_VERSION_MAJOR, CRYPTOKI_VERSION_MINOR,
	CRYPTOKI_VERSION_REVISION): New macros.
	(CKO_VENDOR_DEFINED, CKH_VENDOR_DEFINED, CKK_VENDOR_DEFINED,
	CKC_VENDOR_DEFINED, CKA_VENDOR_DEFINED, CKM_VENDOR_DEFINED,
	CKF_EXTENSION, CKR_VENDOR_DEFINED): Add cast to suppress compiler
	warning.
	Submitted by Alon Bar-Lev.

	* src/cryptoki.h (CRYPTOKI_VERSION_MAJOR, CRYPTOKI_VERSION_MINOR):
	Removed.

2006-11-30  Marcus Brinkmann  <marcus@g10code.de>

	* m4/autobuild.m4: New file.
	* configure.ac: Invoke AB_INIT.

2006-11-29  Marcus Brinkmann  <marcus@g10code.de>

	* configure.ac (CFLAGS): Remove variable.

2006-11-27  Marcus Brinkmann  <marcus@g10code.de>

	* src/pkcs11.h: Add more definitions provided by Andreas Jellinghaus.

	* README (Copyright and License): Update copyright notice.  Also
	for all other files.
	* AUTHORS (Maintainer): Removed RSA Security Inc.
	* include/pkcs11t.h, include/pkcs11f.h, include/pkcs11.h,
	include/disclaimer.txt, include/cryptoki-w32.h,
	include/cryptoki-generic.h, include/README, include/Makefile.am:
	Files removed.
	* configure.ac (AC_CONFIG_FILES): Removed include/Makefile.
	* Makefile.am (SUBDIRS): Removed include directory.

2006-11-24  Marcus Brinkmann  <marcus@g10code.de>

	* src/pkcs11.h: New file.
	* src/Makefile.am (libscute_la_SOURCES): Add pkcs11.h.
	* src/cryptoki.h: Include "pkcs11.h" instead of original PKCS #11
	header file.
	* tests/t-support.h (mechanism_type_str): Remove most mechanisms.

2006-11-23  Marcus Brinkmann  <marcus@g10code.de>

	* src/cert-gpgsm.c (search_certs_line): Don't overwrite CERT->uid.

2006-11-21  Marcus Brinkmann  <marcus@g10code.de>

	* src/cert-gpgsm.c (search_certs_line): Fix off-by-one error.
	(export_cert_cb): Fix bug if EXP->buffer_size is 0.

	* src/cert-gpgsm.c (cert_reset): Free CERT->cert_der if set.
	(export_cert): Reimplement using data channel.
	(export_cert_compat): This contains the old version for
	compatibility.
	* src/cert.h (MAX_CERT_SIZE): Macro removed.
	(struct cert): Changed member CERT_DER into a pointer.

	* configure.ac (AC_CONFIG_FILES): Add doc/manual/Makefile.
	* doc/Makefile.am (SUBDIRS): New variable.
	* doc/manual/Makefile, doc/manual/scute.texi, doc/manual/gpl.texi,
	doc/manual/mdate-sh, doc/manual/texinfo.tex,
	doc/manual/firefox-cm.png, doc/manual/firefox-cm-view-detail.png,
	doc/manual/firefox-cm-view.png,
	doc/manual/firefox-dm-load-after.png,
	doc/manual/firefox-dm-load-before.png,
	doc/manual/firefox-dm-load.png,
	doc/manual/firefox-dm-token-present.png,
	doc/manual/firefox-pref.png, doc/manual/firefox-pref-view.png: New
	files.

2006-11-11  Marcus Brinkmann  <marcus@g10code.de>

	* Released version 1.0.0.

2006-11-11  Marcus Brinkmann  <marcus@g10code.de>

	* src/error-mapping.c (scute_gpg_err_to_ck): Report error on debug
	stream.
	* src/slots.c (add_object): New function.
	(slot_init): Rewritten using add_object.
	* src/gpgsm.c: Include "gpgsm.h".
	(struct search): Replace members ATTRP, ATTR_COUNTP, PRV_ATTRP,
	PRV_ATTR_COUNTP by CERT_GET_CB, HOOK.
	(search_cb): Rewritten to add all certificates for a certain key
	(scute_gpgsm_get_cert): Take a callback function instead of
	attribute pointers.
	* gpgsm.h (scute_gpgsm_get_cert): Adjust prototype.	
	and also the certificate chain.
	* src/cert.h (scute_gpgsm_search_certs_by_fpr): New prototype.
	(struct cert): New member chain_id.
	* src/cert-gpgsm.c (struct search_ctx_by_grip): Rename to ...
	(struct search_ctx): ... this.  Rename field GRIP to PATTERN, and
	add new field FIELD.
	(search_certs_by_grip): Rename function to ...
	(search_certs): ... this.
	(scute_gpgsm_search_certs_by_fpr): Change user of the above.
	(scute_gpgsm_search_certs_by_fpr): New function.
	(search_certs_line): Store chain ID.

2006-11-07  Marcus Brinkmann  <marcus@g10code.de>

	* src/p11-gettokeninfo.c (C_GetTokenInfo): Fix assignment.

2006-11-06  Marcus Brinkmann  <marcus@g10code.de>

	* doc/website/format/web.css: Set margin to 0.

	* configure.ac (AC_CONFIG_FILES): Add doc/Makefile.
	Makefile.am (SUBDIRS): Add doc/.
	doc/, doc/website/, doc/website/format: New directories.
	doc/Makefile.am, doc/website/index.xhtml,
	doc/website/documentation.xhtml, doc/website/download.xhtml,
	doc/website/contact.xhtml, doc/website/format/web.css,
	doc/website/format/scute-logo.svg,
	doc/website/format/scute-border.jpg: New files.

2006-10-30  Marcus Brinkmann  <marcus@g10code.de>

	* configure.ac (PACKAGE, VERSION): Define these variables.
	* src/Makefile.am (libscute_la_CPPFLAGS): Fix include path for
	VPATH builds.

	* configure.ac (VERSION_MAJOR, VERSION_MINOR): New variable
	definitions.
	* src/gpgsm.h: Fix syntax error.
	* src/table.c, src/table.h: Rewritten.
	* src/slots.c: Reorganized and rewritten to use the new table
	interface.  Include gpgsm.h.
	* src/p11-signinit.c, src/p11-sign.c, src/p11-getslotlist.c,
	src/p11-getsessioninfo.c, src/p11-getmechanismlist.c,
	src/p11-getattributevalue.c, src/p11-findobjectsinit.c,
	src/p11-findobjectsfinal.c, src/p11-findobjects.c,
	src/p11-closesession.c: Adjust callers.

2006-10-26  Marcus Brinkmann  <marcus@g10code.de>

	* src/settings.h: Require VERSION_MAJOR and VERSION_MINOR to be
	defined.

	* src/p11-getinfo.c (CRYPTOKI_VERSION_MAJOR,
	CRYPTOKI_VERSION_MINOR): Move macros to ...
	* src/cryptoki.h (CRYPTOKI_VERSION_MAJOR, CRYPTOKI_VERSION_MINOR):
	... here

	* src/gpgsm.c (gpgsm_get_cert): Rename to ...
	(scute_gpgsm_get_cert): ... this.
	* src/gpgsm.h: New file.
	* src/Makefile.am (libscute_la_SOURCES): Add gpgsm.h.
	* src/slots.c (gpgsm_get_cert): Remove prototype.
	(slots_update_slot): Call scute_gpgsm_get_cert, not gpgsm_get_cert.

	* src/error-mapping.c (scute_gpg_err_to_ck): Map GPG_ERR_NO_AGENT
	to CKR_GENERAL_ERROR.
	* src/agent.h (struct agent_card_info_s): Remove member error.
	Prefix external functions with scute_ if not already done so, also
	for callers.
	* src/agent.c: Include <stdarg.h>.  Replace one-letter variable
	names by proper ones.  Replace assuan_error_t with gpg_error_t
	everywhere.
	(agent_connect, agent_simple_cmd, agent_configure): New functions.
	(scute_agent_initialize): Use these new functions.
	ing of common code.  Lots of cleanups.
	(scute_agent_finalize): Clear agent_ctx.  Add debug message.

2006-10-13  Werner Koch  <wk@g10code.com>

	* src/cert-gpgsm.c (MAX_LINE_LEN): Increased.

	* src/locking.c: Include string.h for memset declaration.

	* configure.ac: New option --disable-optimization.

2006-08-02  Marcus Brinkmann  <marcus@g10code.de>

	* Initial version.


 Copyright 2006, 2007, 2008 g10 Code GmbH

 This file is free software; as a special exception the author gives
 unlimited permission to copy and/or distribute it, with or without
 modifications, as long as this notice is preserved.

 This file is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
